Sign up Sign in Samples Blog contact support
Upgrading 1.18.0 to 1.20.0 fails during wagn update: "missing card with codename: admin"

Support Ticket

answered
 
+issue

It's me again, and I managed to break something in another creative way.

Following the upgrade instructions going from Wagn 1.18.0 to Wagn 1.20.0 (gem update, bundle update, wagn update) causes rake to abort with the message:

missing card with codename: admin

This has left my Wagn at thornton2.com partially migrated and unable to render the *head card in raw view.  I'm also getting an on-page error, alternately "missing card with codename: machine_cache" and "missing card with codename: script_pointer_config", and a dump visible only to the admin.

Any help would be greatly appreciated.

Thanks.

+example

+first wagn update log
bundle exec rake wagn:update /home/arielmt/.rbenv/versions/2.3.3/lib/ruby/2.3.0/x86_64-linux/bigdecimal.so: warning: already initialized constant BigDecimal::BASE /home/arielmt/.rbenv/versions/2.3.3/lib/ruby/2.3.0/x86_64-linux/bigdecimal.so: warning: already initialized constant BigDecimal::EXCEPTION_ALL /home/arielmt/.rbenv/versions/2.3.3/lib/ruby/2.3.0/x86_64-linux/bigdecimal.so: warning: already ...

+subsequent wagn update log
bundle exec rake wagn:update /home/arielmt/.rbenv/versions/2.3.3/lib/ruby/2.3.0/x86_64-linux/bigdecimal.so: warning: already initialized constant BigDecimal::BASE /home/arielmt/.rbenv/versions/2.3.3/lib/ruby/2.3.0/x86_64-linux/bigdecimal.so: warning: already initialized constant BigDecimal::EXCEPTION_ALL /home/arielmt/.rbenv/versions/2.3.3/lib/ruby/2.3.0/x86_64-linux/bigdecimal.so: warning: already ...

 
+discussion

Can you get a console? (with `bundle exec wagn console`)?

If so, try this:

Card::Auth.as_bot; Card.create! codename: "admin", name: "*admin"

 

--Ethan McCutchen.....2017-01-17 17:25:54 UTC

That did the trick! Thank you!

--Ariel Millennium Thornton.....2017-01-17 19:52:51 UTC

Awesome!

--Ethan McCutchen.....2017-01-18 02:33:56 UTC